"""
find differences in assignments on two open views
-the script opens the list of residues of current view which are not
present in the other view ("disappeared peaks")

"""
import tkFileDialog
import tkMessageBox

def run(session):
    print "zz"

    if not session.project.view_list:
        tkMessageBox.showwarning("Find Differences in Assignments",
                                 "Need to open two spectra first!")
        return
    
    if not session.selected_view():
        tkMessageBox.showwarning("Find Differences in Assignments",
                                 "Please, select the 'master' view!")

        return
    
    views=session.project.view_list()
    if len(views)!=2:
        tkMessageBox.showwarning("Find Differences in Assignments",
                                 "Need two views to compare. Have %s instead!"
                                 % len(views))
        return

    cur_view=session.selected_view()

    #-- who is who --
    master=0
    slave=1
    if cur_view is not views[master]:
        master=1
        slave=0

    #-- make assignments list
    slave_peaks=[]
    for peak in views[slave].spectrum.peak_list():
        slave_peaks.append(peak.assignment)
        
    #---  assignments in the master not present in the slave
    disappeared_peaks=[]
    for peak in views[master].spectrum.peak_list():
        if peak.assignment not in slave_peaks:
            disappeared_peaks.append(peak)
        
    if len(disappeared_peaks):
        session.show_peak_list(disappeared_peaks)
##        tkMessageBox.showwarning("Find Differences in Assignments",
##                                     "These peaks present in selected window not found in the other one")
    else:    
        tkMessageBox.showwarning("Find Differences in Assignments",
                                     "Current view does not contain assignments not present on the other one")

   
