"""
Sparky module to detect potentially misplaced assignments:
check for difference in ppm positions in different views
and check for low intensities as a sign of misplacement

"""

import residues, keyfile, mylib
import sys,os
import sparky
  

##ini_file_text="""# Parameter file for 'detect_overlap' extension
### usu: 1-Nitrogen, 2-proton but check your spectrum yourself
##
##<dw1_ppm> %s
##
##<dw2_ppm> %s
##
##"""

def run(session):

    print "\n\n\n\n******************* Detect Misplacement **********************"
    print "Detection of potentially misplaced assignments after 'make_sp_files.py'
    

    spectra=session.project.spectrum_list()
    #--- check if windows are open ----
    if not spectra: return

    suspect_list=[]

    for spectrum in spectra:

       
    peak_list=spectrum.peak_list()
     





    N=len(peak_list)
    
    for i in range(N):
        
        peakA=peak_list[i]

        A_w1=peakA.position[0]
        A_w2=peakA.position[1]

        i=peak_list.index(peakA)
            
        for j in range(i+1, N):
            
            peakB=peak_list[j]

            B_w1=peakB.position[0]
            B_w2=peakB.position[1]
          
            dw1=abs(A_w1-B_w1)
            dw2=abs(A_w2-B_w2)

            if dw1<dw1min and dw2<dw2min:

                if peakA not in OL_list:
                   OL_list.append(peakA)
                   #print resA,

                if peakB not in OL_list:
                   OL_list.append(peakB)
                   #print resB,
            
    session.show_peak_list(OL_list)
    
    print "Done."   
