doc="""
relax_ek.py

This extension is based on Tom's 'relax.py'.
The following features changed:

- It does R calculation instead of T
- "Save Brief" Button - Saves data as plain Residue-Rate-Error format
- Check your fits: now you can walk through the residue list with 'Show next plot'
                    'Show prev plot' buttons and look at your fits.
- Relative scale on fitting plots is set in Setup and is shown as red positive and blue
  negative  bar
- Rates and errors are the same as calculated with the curvefit
- In order to exclude some points from fits: use LT selection and run eh separately and
  save them separately



Previous patch included the following:

#8/23/02   fixes from Tom Goddard combined with previous script features by Evgueni
# The version includes: 
#   1. scaling factor for peak heights
#   2. Roger's 3x3 grid height determination
#   3. "rh" taking peak heights at the peak maxima
#	(if you want to measure heights at the fixed position of the 
#  	peak maximum in the current window, just click on the button
#-------------------------------------------------------------------------
#
"""



import curvefit3_functions
import sputil
import relax_dialog


class exponential_decay_dialog(relax_dialog.relaxation_dialog):
   def __init__(self, session, title='Fitting of signal intensities to I=a*exp(-b*t)'):
     relax_dialog.relaxation_dialog.__init__(self, session, title)

def run(session):
  sputil.the_dialog(exponential_decay_dialog,session).show_peak_heights()
